/*!
	BinaryDataTypes.h

	バイナリデータ用インタフェース
	ここに宣言されているインタフェースは、今後変更されない。
*/
#pragma once


/*!
	バイナリデータ
*/
class IBinaryData
{
public:
	//!	サイズ変更
	virtual void ReSize(int size) = 0;

	//!	サイズ取得
	virtual int GetSize() = 0;

	//!	保持しているデータポインタを取得
	virtual char *GetPtr() = 0;
};
//!	ポインタ型
typedef IBinaryData*	IBinaryDataPtr;

